/* Based on Trac css
 * http://trac.edgewall.org/
 */

body {
background: white;
color: black;
margin: 10px;
padding: 0;
}

body,th,td {
font-family: verdana,arial,'Bitstream Vera Sans',helvetica,sans-serif;
font-size: 13px;
}

h1,h2,h3,h4 {
font-family: arial,verdana,'Bitstream Vera Sans',helvetica,sans-serif;
}


h2.breadcrumb {
color:#555555;
}

h2.breadcrumb strong {
color:#BB0000;
}

h2.breadcrumb strong#branch{ 
background-color: lavender;
}

img {
border:medium none;
}

tt {
white-space:pre;
}

*:link,*:visited {
border-bottom:1px dotted #BBB;
color:#B00;
text-decoration:none;
}

*:link:hover,*:visited:hover {
background-color:#EEE;
color:#555;
}

h1 *:link,h1 *:visited,h2 *:link,h2 *:visited,h3 *:link,h3 *:visited,h4 *:link,h4 *:visited,h5 *:link,h5 *:visited,h6 *:link,h6 *:visited {
color:inherit;
}


table.listing {
border-bottom:1px solid #D7D7D7;
border-collapse:collapse;
border-spacing:0;
clear:both;
margin-top:1em;
width:100%;
}

table.listing th {
font-size:12px;
text-align:left;
padding:0 1em 0.1em 0;
}

table.listing thead {
background:#F7F7F0 none repeat scroll 0;
}

table.listing thead th {
font-size:11px;
font-weight:700;
vertical-align:bottom;
border-color:#D7D7D7 #d7d7d7 #999;
border-style:solid;
border-width:1px;
padding:2px 0.5em;
}

table.listing thead th a {
border:medium none;
padding-right:12px;
}

table.listing th.asc a,table.listing th.desc a {
font-weight:700;
background-position:100% 50%;
background-repeat:no-repeat;
}

table.listing th.asc a {
background-image:url(../img/asc.png);
}

table.listing th.desc a {
background-image:url(../img/desc.png);
}

table.listing tbody td,table.listing tbody th {
border:1px dotted #DDD;
vertical-align:top;
padding:0.33em 0.5em;
}

table.listing tbody tr {
border-top:1px solid #DDD;
}

table.listing tbody tr.even {
background-color:#FCFCFC;
}

table.listing tbody tr.odd {
background-color:#F7F7F7;
}

table.listing tbody tr:hover {
background:#EED none repeat scroll 0 !important;
}

#dirlist {
margin-top:0;
}

#dirlist td.rev,#dirlist td.age,#dirlist td.change {
color:#888;
vertical-align:baseline;
white-space:nowrap;
}

#dirlist td.rev {
font-family:monospace;
font-size:90%;
letter-spacing:-0.08em;
text-align:right;
}

#dirlist td.size {
color:#888;
font-size:70%;
text-align:right;
vertical-align:middle;
white-space:nowrap;
}

#dirlist td.name {
width:100%;
}

#dirlist td.name a,#dirlist td.name span {
background-position:0 50%;
background-repeat:no-repeat;
padding-left:20px;
}

#dirlist td.name a.parent {
background-image:url(../img/parent.png);
}

#dirlist td.name a.dir {
background-image:url(../img/folder.png);
}

#dirlist td.name a.file {
background-image:url(../img/file.png);
}

#dirlist td.name a,#dirlist td.rev a {
border-bottom:medium none;
display:block;
}

#dirlist td.change {
font-size:65%;
vertical-align:middle;
white-space:nowrap;
}

table.listing thead th *:link:hover,table.listing thead th *:visited:hover,table.listing tbody td a:hover,table.listing tbody th a:hover {
background-color:transparent;
}

div.highlight { 
padding-left: 1em;
border: 1px solid gray;
}